# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/glib-gettextize
# END SourceDeps(oneline)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:              fwbackups
Version:           1.43.4
Release:           alt1_7
Summary:           A feature-rich user backup program
Group:             Archiving/Other
License:           GPLv2+
URL:               http://www.diffingo.com/oss/fwbackups/
Source0:           http://downloads.diffingo.com/fwbackups/fwbackups-%{version}.tar.bz2
Patch0:            fwbackups-1.43.4-fdopen.patch
BuildArch:         noarch

BuildRequires:     desktop-file-utils
# Pulls gettext, autotools
BuildRequires:     intltool
BuildRequires:     glib2-devel
BuildRequires:     python-devel >= 2.4

Requires:          /usr/bin/crontab
Requires:          tar rsync
Requires:          notify-python
Requires:          pygtk2
Source44: import.info

%description
fwbackups is a feature-rich user backup program that allows users (including
but not limited to root) to backup their files on demand or periodically via
backup sets. Each set may have different settings meaning users can backup
groups of files and folders to different destinations at different times.
Restores can be performed at any time using an existing backup from fwbackups
or from the contents of an external folder or archive.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .fdopen

%build
%configure
# We don't implement this yet: make %{?_smp_mflags}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications\
    --delete-original \
    ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

#find_lang %{name}


%files
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/applications/*.desktop
%{python_sitelibdir_noarch}/%{name}/

%changelog
* Thu Mar 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.43.4-alt1_7
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 1.43.4-alt1_6
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.43.4-alt1_5
- initial fc import

